var NAVTREE =
[
  [ "Crazy Eddie's GUI System", "index.html", [
    [ "Crazy Eddie's GUI System Mk-2: Developer Documentation", "index.html", [
      [ "Documentation Sections", "index.html#main_sec_1", null ]
    ] ],
    [ "Overview of system components", "arch_overview.html", [
      [ "Introduction", "arch_overview.html#arch_overview_intro", null ],
      [ "Low Level Interface Objects", "arch_overview.html#arch_overview_lowlevel", null ],
      [ "System and Manager Objects", "arch_overview.html#arch_overview_sys_and_mgrs", null ],
      [ "Falagard Mappings", "arch_overview.html#arch_overview_falmaps", null ]
    ] ],
    [ "List of authors and contributors", "authors.html", [
      [ "Current CEGUI Team Members", "authors.html#authors_sec_1", null ],
      [ "Retired or Semi-retired CEGUI Team Members", "authors.html#authors_sec_2", null ],
      [ "Main Contributors", "authors.html#authors_sec_4", null ],
      [ "Other Contributors", "authors.html#authors_sec_5", null ],
      [ "Special Thanks", "authors.html#authors_sec_6", null ],
      [ "Have We Missed You?", "authors.html#authors_sec_7", null ]
    ] ],
    [ "Build Options for Crazy Eddie's GUI System", "build_options.html", [
      [ "Overview", "build_options.html#build_options_overview", null ],
      [ "General Options", "build_options.html#build_options_general", [
        [ "CEGUI_HAS_FREETYPE", "build_options.html#build_options_has_freetype", null ],
        [ "CEGUI_HAS_PCRE_REGEX", "build_options.html#build_options_has_pcre", null ],
        [ "CEGUI_HAS_MINIZIP_RESOURCE_PROVIDER", "build_options.html#build_options_has_minizip", null ],
        [ "CEGUI_HAS_DEFAULT_LOGGER", "build_options.html#build_options_has_logger", null ],
        [ "CEGUI_USE_FRIBIDI", "build_options.html#build_options_use_fribidi", null ],
        [ "CEGUI_USE_MINIBIDI", "build_options.html#build_options_use_minibidi", null ],
        [ "CEGUI_STRING_CLASS", "build_options.html#build_options_string_class", null ],
        [ "CEGUI_CUSTOM_ALLOCATORS", "build_options.html#build_options_custom_allocators", null ],
        [ "CEGUI_CUSTOM_ALLOCATORS_DEBUG", "build_options.html#build_options_allocators_debug", null ],
        [ "CEGUI_CUSTOM_ALLOCATORS_INCLUDE", "build_options.html#build_options_allocators_header", null ],
        [ "CEGUI_BUILD_STATIC_CONFIGURATION", "build_options.html#build_options_enable_static", null ],
        [ "CEGUI_BUILD_SHARED_LIBS_WITH_STATIC_DEPENDENCIES", "build_options.html#build_options_static_deps", null ],
        [ "CEGUI_BUILD_SUFFIX", "build_options.html#build_options_build_suffix", null ],
        [ "CEGUI_BUILD_TESTS", "build_options.html#build_options_build_tests", null ]
      ] ],
      [ "Renderer Modules", "build_options.html#build_options_renderers", [
        [ "CEGUI_BUILD_RENDERER_OPENGL", "build_options.html#build_options_gl_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_OPENGL3", "build_options.html#build_options_gl3_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_OGRE", "build_options.html#build_options_ogre_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_IRRLICHT", "build_options.html#build_options_irr_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_DIRECTFB", "build_options.html#build_options_dfb_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_DIRECT3D9", "build_options.html#build_options_d3d9_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_DIRECT3D10", "build_options.html#build_options_d3d10_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_DIRECT3D11", "build_options.html#build_options_d3d11_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_NULL", "build_options.html#build_options_null_renderer", null ],
        [ "CEGUI_BUILD_RENDERER_OPENGLES", "build_options.html#build_options_gles1_1_renderer", null ]
      ] ],
      [ "XMLParser Modules", "build_options.html#build_options_xml_parsers", [
        [ "CEGUI_BUILD_XMLPARSER_EXPAT", "build_options.html#build_options_expat_parser", null ],
        [ "CEGUI_BUILD_XMLPARSER_XERCES", "build_options.html#build_options_xerces_parser", null ],
        [ "CEGUI_BUILD_XMLPARSER_LIBXML2", "build_options.html#build_options_libxml_parser", null ],
        [ "CEGUI_BUILD_XMLPARSER_RAPIDXML", "build_options.html#build_options_rapidxml_parser", null ],
        [ "CEGUI_BUILD_XMLPARSER_TINYXML", "build_options.html#build_options_tinyxml_parser", null ],
        [ "CEGUI_OPTION_DEFAULT_XMLPARSER", "build_options.html#build_options_default_parser", null ],
        [ "CEGUI_STATIC_XMLPARSER_MODULE", "build_options.html#build_options_static_parser_lib", null ]
      ] ],
      [ "ImageCodec Modules", "build_options.html#build_options_image_codecs", [
        [ "CEGUI_BUILD_IMAGECODEC_SILLY", "build_options.html#build_options_silly_codec", null ],
        [ "CEGUI_BUILD_IMAGECODEC_DEVIL", "build_options.html#build_options_devil_codec", null ],
        [ "CEGUI_BUILD_IMAGECODEC_FREEIMAGE", "build_options.html#build_options_freeimage_codec", null ],
        [ "CEGUI_BUILD_IMAGECODEC_CORONA", "build_options.html#build_options_corona_codec", null ],
        [ "CEGUI_BUILD_IMAGECODEC_STB", "build_options.html#build_options_stb_codec", null ],
        [ "CEGUI_BUILD_IMAGECODEC_TGA", "build_options.html#build_options_tga_codec", null ],
        [ "CEGUI_BUILD_IMAGECODEC_PVR", "build_options.html#build_options_pvr_codec", null ],
        [ "CEGUI_OPTION_DEFAULT_IMAGECODEC", "build_options.html#build_options_default_codec", null ],
        [ "CEGUI_STATIC_IMAGECODEC_MODULE", "build_options.html#build_options_staic_codec_lib", null ]
      ] ],
      [ "Script Modules", "build_options.html#build_options_scripting", [
        [ "CEGUI_BUILD_LUA_MODULE", "build_options.html#build_options_lua_module", null ],
        [ "CEGUI_BUILD_LUA_GENERATOR", "build_options.html#build_options_lua_generator", null ],
        [ "CEGUI_OPTION_SAFE_LUA_MODULE", "build_options.html#build_options_lua_safe_mode", null ],
        [ "CEGUI_BUILD_PYTHON_MODULES", "build_options.html#build_options_python_modules", null ]
      ] ],
      [ "Sample Framework and Samples", "build_options.html#build_options_samples", [
        [ "CEGUI_SAMPLES_ENABLED", "build_options.html#build_options_samples_enabled", null ],
        [ "CEGUI_SAMPLES_USE_OPENGL", "build_options.html#build_options_samples_use_gl", null ],
        [ "CEGUI_SAMPLES_USE_OPENGL3", "build_options.html#build_options_samples_use_gl3", null ],
        [ "CEGUI_SAMPLES_USE_OGRE", "build_options.html#build_options_samples_use_ogre", null ],
        [ "CEGUI_SAMPLES_USE_IRRLICHT", "build_options.html#build_options_samples_use_irr", null ],
        [ "CEGUI_SAMPLES_USE_DIRECTFB", "build_options.html#build_options_samples_use_dfb", null ],
        [ "CEGUI_SAMPLES_USE_DIRECT3D9", "build_options.html#build_options_samples_use_d3d9", null ],
        [ "CEGUI_SAMPLES_USE_DIRECT3D10", "build_options.html#build_options_samples_use_d3d10", null ],
        [ "CEGUI_SAMPLES_USE_DIRECT3D11", "build_options.html#build_options_samples_use_d3d11", null ],
        [ "CEGUI_SAMPLES_USE_GTK2", "build_options.html#build_options_samples_use_gtk2", null ]
      ] ],
      [ "GNU/Linux Specific", "build_options.html#build_options_unix", [
        [ "CEGUI_INSTALL_WITH_RPATH", "build_options.html#build_options_install_rpath", null ]
      ] ],
      [ "Apple Specific", "build_options.html#build_options_apple", [
        [ "CEGUI_APPLE_DYLIB_INSTALL_PATH", "build_options.html#build_options_dylib_install_path", null ],
        [ "CEGUI_APPLE_SYMLINK_DEPENDENCIES_TO_SAMPLE_APPS", "build_options.html#build_options_symlink_apple_deps", null ],
        [ "CEGUI_APPLE_DYLIB_SET_VERSION_INFO", "build_options.html#build_options_set_dylib_version", null ]
      ] ],
      [ "Microsoft MSVC++ Specific", "build_options.html#build_options_msvc", [
        [ "CEGUI_MSVC_STATIC_RUNTIME", "build_options.html#build_options_msvc_static_runtime", null ]
      ] ]
    ] ],
    [ "Obtaining and Building the Dependencies (Windows and OS X)", "building_deps.html", [
      [ "Introduction", "building_deps.html#building_deps_intro", null ],
      [ "Obtaining the Dependency Package", "building_deps.html#building_deps_download", [
        [ "Downloading an Archive", "building_deps.html#building_deps_download_archive", null ],
        [ "Cloning from Mercurial", "building_deps.html#building_deps_download_clone", null ]
      ] ],
      [ "Compiling the Dependencies Package", "building_deps.html#building_deps_compilation", [
        [ "Configuring the build", "building_deps.html#building_deps_compilation_configuring", null ],
        [ "Compiling the files", "building_deps.html#building_deps_compilation_build", null ],
        [ "Installation", "building_deps.html#compiling_build_install", null ]
      ] ]
    ] ],
    [ "Change Log", "change_log.html", null ],
    [ "Coding Standards in use for CEGUI", "code_standards.html", [
      [ "Files", "code_standards.html#code_standards_sec_1", [
        [ "Naming and Directory Layout", "code_standards.html#code_standards_sec_1_1", null ],
        [ "General Structure and Layout", "code_standards.html#code_standards_sec_1_2", null ]
      ] ],
      [ "Code Style and Layout", "code_standards.html#code_standards_sec_2", [
        [ "Naming Conventions for Types, Variables, Members and Constants", "code_standards.html#code_standards_sec_2_1", null ],
        [ "Code Formatting Style and Other Tips", "code_standards.html#code_standards_sec_2_2", null ]
      ] ]
    ] ],
    [ "Supported Systems and Compilation.", "compiling.html", [
      [ "Supported Systems", "compiling.html#compiling_supportedsystems", null ],
      [ "Dependencies", "compiling.html#compiling_dependencies", null ],
      [ "Building the Source", "compiling.html#compiling_build", [
        [ "Decide which options and dependencies you want", "compiling.html#compiling_build_decide", null ],
        [ "Configuring the build", "compiling.html#compiling_build_configuring", null ],
        [ "Compiling the files", "compiling.html#compiling_build_build", null ]
      ] ]
    ] ],
    [ "Dependency Libraries for Crazy Eddie's GUI System", "dependencies.html", [
      [ "Overview", "dependencies.html#dependencies_overview", [
        [ "Core Functionality", "dependencies.html#dependencies_core", null ],
        [ "Rendering", "dependencies.html#dependencies_rendering", null ],
        [ "XML Parsers", "dependencies.html#dependencies_parsers", null ],
        [ "Image Loading", "dependencies.html#dependencies_codecs", null ],
        [ "Scripting", "dependencies.html#dependencies_scripting", null ],
        [ "Samples Framework", "dependencies.html#dependencies_samples", null ],
        [ "Other", "dependencies.html#dependencies_other", null ]
      ] ]
    ] ],
    [ "Contributing to the development of CEGUI.", "devel.html", null ],
    [ "Obtaining the code", "downloading.html", [
      [ "Stable Release Source Packages", "downloading.html#dl_src_releases", null ],
      [ "Dependency Package for Microsoft Windows and Apple OS X", "downloading.html#dl_deps", null ],
      [ "Mercurial Source Code Repository", "downloading.html#dl_hg", null ]
    ] ],
    [ "Falagard skinning system for CEGUI", "fal_man.html", "fal_man" ],
    [ "CEGUI License (and other licensing considerations)", "licensing.html", "licensing" ],
    [ "Porting from CEGUI 0.6.x to CEGUI 0.7.x", "porting6to7.html", null ],
    [ "stringencoders library License", "stringencoders_lic.html", null ],
    [ "tolua++ Customised Generator Manual", "toluapp_readme.html", null ],
    [ "The Beginners Guide to Initialising CEGUI", "rendering_tutorial.html", [
      [ "Introduction", "rendering_tutorial.html#rendering_tutorial_intro", null ],
      [ "The Easy Way: Renderer 'bootstrapSystem' functions", "rendering_tutorial.html#rendering_tutorial_bootstrap", [
        [ "OpenGL (Fixed Function)", "rendering_tutorial.html#rendering_tutorial_bootstrap_opengl", null ],
        [ "OpenGL 3", "rendering_tutorial.html#rendering_tutorial_bootstrap_opengl3", null ],
        [ "Direct3D", "rendering_tutorial.html#rendering_tutorial_bootstrap_d3d", null ],
        [ "Ogre3D", "rendering_tutorial.html#rendering_tutorial_bootstrap_ogre", null ],
        [ "Irrlicht", "rendering_tutorial.html#rendering_tutorial_bootstrap_irrlicht", null ]
      ] ],
      [ "The Hard Way: Manual object creation.", "rendering_tutorial.html#rendering_tutorial_nonbootstrap", [
        [ "Create an instance of a CEGUI::Renderer based object", "rendering_tutorial.html#rendering_tutorial_renderer", [
          [ "Direct3D 9", "rendering_tutorial.html#rendering_tutorial_renderer_d3d9", null ],
          [ "Direct3D 10", "rendering_tutorial.html#rendering_tutorial_renderer_d3d10", null ],
          [ "OpenGL (Fixed Function)", "rendering_tutorial.html#rendering_tutorial_renderer_ogl", null ],
          [ "OpenGL 3", "rendering_tutorial.html#rendering_tutorial_renderer_ogl3", null ],
          [ "Ogre3D", "rendering_tutorial.html#rendering_tutorial_renderer_ogre", null ],
          [ "Irrlicht Engine", "rendering_tutorial.html#rendering_tutorial_renderer_irrlicht", null ]
        ] ],
        [ "Create the CEGUI::System object to initialise the system", "rendering_tutorial.html#rendering_tutorial_system", null ]
      ] ],
      [ "Call the function to render the GUI", "rendering_tutorial.html#rendering_tutorial_draw", [
        [ "Direct3D 9", "rendering_tutorial.html#rendering_tutorial_draw_d3d9", null ],
        [ "Direct3D 10", "rendering_tutorial.html#rendering_tutorial_draw_d3d10", null ],
        [ "OpenGL", "rendering_tutorial.html#rendering_tutorial_draw_ogl", null ],
        [ "Irrlicht", "rendering_tutorial.html#rendering_tutorial_draw_irrlicht", null ]
      ] ],
      [ "Conclusion", "rendering_tutorial.html#rendering_tutorial_conclusion", null ]
    ] ],
    [ "The Beginners Guide to Data Files and Defaults Initialisation", "datafile_tutorial.html", [
      [ "Introduction", "datafile_tutorial.html#datafile_tutorial_intro", null ],
      [ "Font, Imageset, LookNFeel, Scheme, XSD?  It's all XML!", "datafile_tutorial.html#datafile_tutorial_allxml", [
        [ "Schema Validation with Xerces-C++", "datafile_tutorial.html#datafile_tutorial_validation", null ]
      ] ],
      [ "The Data Files", "datafile_tutorial.html#datafile_tutorial_files", [
        [ "Imageset", "datafile_tutorial.html#datafile_tutorial_imageset", null ],
        [ "Font", "datafile_tutorial.html#datafile_tutorial_font", null ],
        [ "LookNFeel", "datafile_tutorial.html#datafile_tutorial_looknfeel", null ],
        [ "Scheme", "datafile_tutorial.html#datafile_tutorial_scheme", null ],
        [ "Layout", "datafile_tutorial.html#datafile_tutorial_layout", null ],
        [ "Config", "datafile_tutorial.html#datafile_tutorial_config", null ]
      ] ],
      [ "Loading the Basic Files", "datafile_tutorial.html#datafile_tutorial_load_basics", null ],
      [ "System Defaults Initialisation", "datafile_tutorial.html#datafile_tutorial_setup_defaults", null ],
      [ "Conclusion", "datafile_tutorial.html#datafile_tutorial_conclusion", null ]
    ] ],
    [ "The Beginners Guide to Creating a CEGUI Window", "window_tutorial.html", [
      [ "Introduction to window and widget concepts", "window_tutorial.html#window_tutorial_intro", [
        [ "Every widget is a window", "window_tutorial.html#window_tutorial_window_base", null ],
        [ "Many settings are inherited", "window_tutorial.html#window_tutorial_window_inheritance", null ]
      ] ],
      [ "Creating the windows", "window_tutorial.html#window_tutorial_creating_intro", [
        [ "GUI Creation via C++ code", "window_tutorial.html#window_tutorial_creating_cpp", null ],
        [ "XML layouts", "window_tutorial.html#window_tutorial_creating_xml", null ]
      ] ],
      [ "Conclusion", "window_tutorial.html#window_tutorial_conclusion", null ]
    ] ],
    [ "The Beginners Guide to Injecting Inputs", "input_tutorial.html", [
      [ "Introduction to input for CEGUI", "input_tutorial.html#input_tutorial_intro", [
        [ "First the bad news", "input_tutorial.html#input_tutorial_intro_badnews", null ],
        [ "Get your inputs injected", "input_tutorial.html#input_tutorial_intro_injectors", null ]
      ] ],
      [ "A little more detail: What each injector is used for", "input_tutorial.html#input_tutorial_detail", [
        [ "bool InjectedInputReceiver::injectMouseMove( float delta_x, float delta_y )", "input_tutorial.html#input_tutorial_mousemove", null ],
        [ "bool InjectedInputReceiver::injectMousePosition( float x_pos, float y_pos )", "input_tutorial.html#input_tutorial_mousepos", null ],
        [ "bool InjectedInputReceiver::injectMouseLeaves( void )", "input_tutorial.html#input_tutorial_mouseleaves", null ],
        [ "bool InjectedInputReceiver::injectMouseButtonDown( MouseButton button )", "input_tutorial.html#input_tutorial_mbdown", null ],
        [ "bool InjectedInputReceiver::injectMouseButtonUp( MouseButton button )", "input_tutorial.html#input_tutorial_mbup", null ],
        [ "bool InjectedInputReceiver::injectKeyDown( Key::Scan scan_code )", "input_tutorial.html#input_tutorial_keydown", null ],
        [ "bool InjectedInputReceiver::injectKeyUp( Key::Scan scan_code )", "input_tutorial.html#input_tutorial_keyup", null ],
        [ "bool InjectedInputReceiver::injectChar( utf32 code_point )", "input_tutorial.html#input_tutorial_char", null ],
        [ "bool InjectedInputReceiver::injectMouseWheelChange( float delta )", "input_tutorial.html#input_tutorial_mwheel", null ],
        [ "bool InjectedInputReceiver::injectTimePulse( float timeElapsed )", "input_tutorial.html#input_tutorial_pulse", null ],
        [ "bool InjectedInputReceiver::injectMouseButtonClick( MouseButton button )", "input_tutorial.html#input_tutorial_click", null ],
        [ "bool InjectedInputReceiver::injectMouseButtonDoubleClick( MouseButton button )", "input_tutorial.html#input_tutorial_doubleclick", null ],
        [ "bool InjectedInputReceiver::injectMouseButtonTripleClick( MouseButton button )", "input_tutorial.html#input_tutorial_tripleclick", null ]
      ] ],
      [ "Conclusion", "input_tutorial.html#input_tutorial_conclusion", null ]
    ] ],
    [ "The Beginners Guide to resource loading with ResourceProviders", "resprov_tutorial.html", [
      [ "What is a ResourceProvider?", "resprov_tutorial.html#resprov_tutorial_intro", null ],
      [ "DefaultResourceProvider Explained", "resprov_tutorial.html#resprov_tutorial_default_rp", [
        [ "Specifying Resource Groups and Directories", "resprov_tutorial.html#resprov_tutorial_default_rp_groups", null ]
      ] ],
      [ "Specifying Default Resource Groups", "resprov_tutorial.html#resprov_tutorial_default_resource_groups", [
        [ "ImageManager Default Resource Group", "resprov_tutorial.html#resprov_tutorial_default_resource_groups_im", null ],
        [ "XercesParser Default Resource Group", "resprov_tutorial.html#resprov_tutorial_default_resource_groups_xc", null ]
      ] ],
      [ "A final, Complete Example", "resprov_tutorial.html#resprov_tutorial_example", null ],
      [ "Conclusion", "resprov_tutorial.html#resprov_tutorial_conclusion", null ]
    ] ],
    [ "Animation XML files.", "xml_animation.html", [
      [ "Animation XML Element List:", "xml_animation.html#xml_animation_contents", null ],
      [ "Overview", "xml_animation.html#xml_animation_overview", null ],
      [ "<Affector> Element", "xml_animation.html#xml_animation_affector", null ],
      [ "<AnimationDefinition> Element", "xml_animation.html#xml_animation_animationdefinition", null ],
      [ "<Animations> Element", "xml_animation.html#xml_animation_animations", null ],
      [ "<KeyFrame> Element", "xml_animation.html#xml_animation_keyframe", null ],
      [ "<Subscription> Element", "xml_animation.html#xml_animation_subscription", null ]
    ] ],
    [ "CEGUI Configuration XML files.", "xml_config.html", [
      [ "Config Element List:", "xml_config.html#xml_config_contents", null ],
      [ "Overview", "xml_config.html#xml_config_overview", null ],
      [ "<CEGUIConfig>", "xml_config.html#xml_config_ceguiconfig", null ],
      [ "<Logging>", "xml_config.html#xml_config_logging", null ],
      [ "<AutoLoad>", "xml_config.html#xml_config_autoload", null ],
      [ "<ResourceDirectory>", "xml_config.html#xml_config_resourcedirectory", null ],
      [ "<DefaultResourceGroup>", "xml_config.html#xml_config_defaultresourcegroup", null ],
      [ "<Scripting>", "xml_config.html#xml_config_scripting", null ],
      [ "<DefaultXMLParser>", "xml_config.html#xml_config_xmlparser", null ],
      [ "<DefaultImageCodec>", "xml_config.html#xml_config_imagecodec", null ],
      [ "<DefaultFont>", "xml_config.html#xml_config_font", null ],
      [ "<DefaultMouseCursor>", "xml_config.html#xml_config_mousecursor", null ],
      [ "<DefaultTooltip>", "xml_config.html#xml_config_tooltip", null ],
      [ "<DefaultGUISheet>", "xml_config.html#xml_config_guisheet", null ]
    ] ],
    [ "Font XML files.", "xml_font.html", [
      [ "Overview", "xml_font.html#xml_font_overview", null ],
      [ "<Font> Element", "xml_font.html#xml_font_font", null ],
      [ "<Mapping> Element", "xml_font.html#xml_font_mapping", null ]
    ] ],
    [ "Imageset XML files.", "xml_imageset.html", [
      [ "Overview", "xml_imageset.html#xml_imageset_overview", null ],
      [ "<Imageset> Element", "xml_imageset.html#xml_imageset_imageset", null ],
      [ "<Image> Element", "xml_imageset.html#xml_imageset_image", null ]
    ] ],
    [ "Layout XML files.", "xml_layout.html", [
      [ "Layout Element List:", "xml_layout.html#xml_layout_contents", null ],
      [ "Overview", "xml_layout.html#xml_layout_overview", null ],
      [ "<GUILayout> Element", "xml_layout.html#xml_layout_guilayout", null ],
      [ "<Window> Element", "xml_layout.html#xml_layout_window", null ],
      [ "<Property> Element", "xml_layout.html#xml_layout_property", null ],
      [ "<Event> Element", "xml_layout.html#xml_layout_event", null ],
      [ "<LayoutImport> Element", "xml_layout.html#xml_layout_layoutimport", null ],
      [ "<AutoWindow> Element", "xml_layout.html#xml_layout_autowindow", null ]
    ] ],
    [ "Scheme XML files.", "xml_scheme.html", [
      [ "Scheme Element List:", "xml_scheme.html#xml_scheme_contents", null ],
      [ "Overview", "xml_scheme.html#xml_scheme_overview", null ],
      [ "<GUIScheme> Element", "xml_scheme.html#xml_scheme_guischeme", null ],
      [ "<FalagardMapping> Element", "xml_scheme.html#xml_scheme_falagardmapping", null ],
      [ "<Font> Element", "xml_scheme.html#xml_scheme_font", null ],
      [ "<Imageset> Element", "xml_scheme.html#xml_scheme_imageset", null ],
      [ "<ImagesetFromImage> Element", "xml_scheme.html#xml_scheme_imagesetfromimage", null ],
      [ "<LookNFeel> Element", "xml_scheme.html#xml_scheme_looknfeel", null ],
      [ "<WindowAlias> Element", "xml_scheme.html#xml_scheme_windowalias", null ],
      [ "<WindowFactory> Element", "xml_scheme.html#xml_scheme_windowfactory", null ],
      [ "<WindowRendererFactory> Element", "xml_scheme.html#xml_scheme_windowrendererfactory", null ],
      [ "<WindowRendererSet> Element", "xml_scheme.html#xml_scheme_windowrendererset", null ],
      [ "<WindowSet> Element", "xml_scheme.html#xml_scheme_windowset", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Namespaces", null, [
      [ "Namespace List", "namespaces.html", "namespaces" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
".html",
"SectionIterator_8pypp_8hpp_source.html",
"cegui_2include_2CEGUI_2JustifiedRenderedString_8h_source.html",
"cegui_2include_2CEGUI_2widgets_2PushButton_8h_source.html",
"classCEGUI_1_1AnimationInstance.html#a51252b8968288d1232701ace70494bbb",
"classCEGUI_1_1BasicRenderedStringParser.html#a76773c2760342690f22fe6daa31475ab",
"classCEGUI_1_1Colour.html#a97272b9694459ee1a4c05680beee7087",
"classCEGUI_1_1ColourPickerControls.html#abb955bb6c966662c99a5abd6eeacbf33",
"classCEGUI_1_1Combobox.html#a3b63d7604d52860b6fe206531690e113",
"classCEGUI_1_1Config__xmlHandler.html#aa321364afd5f506153bc07a4a755a93b",
"classCEGUI_1_1Direct3D10GeometryBuffer.html#a7e1a212fc15ed34a8935d9418c702685",
"classCEGUI_1_1Direct3D11Renderer.html#a856fe6896cd94e65ece7730f755d8c4f",
"classCEGUI_1_1DirectFBGeometryBuffer.html#a5e2a2dd1704bafb5ba278019bc17278d",
"classCEGUI_1_1Editbox.html#a172058dc75d7cdf706b80b2b05134b65",
"classCEGUI_1_1Element.html#ac43cb8206cb2d7426c4cc21f7c4103a7",
"classCEGUI_1_1Exception.html#a41b3fc2b1548f6c5a19a5854775b3d51",
"classCEGUI_1_1FalagardMenuItem.html#af21dd29678817930fda06970b96ce1cc",
"classCEGUI_1_1FalagardStaticText.html#ad81ac614d6280edd3ed53da685a4f105",
"classCEGUI_1_1Falagard__xmlHandler.html#a1eea99e72e39e5c13dbec3fa0eb7dece",
"classCEGUI_1_1FontManager.html#ae64c2266b4a785913b91011334664d76",
"classCEGUI_1_1FrameWindow.html#a890e25f2177d2b4fdee93710a8da6028",
"classCEGUI_1_1GUIContext.html#a519ddc0d19ea07e23da4f946a1f7b635",
"classCEGUI_1_1GridLayoutContainer.html#a5fe74a6be4a198f77fcd83aeb957cddf",
"classCEGUI_1_1ImageManager.html#af2a3d082b50cc6410e1b4a2a9e7f231f",
"classCEGUI_1_1IrrlichtGeometryBuffer.html#a2ff95015ddbfefa3687a513169207de4",
"classCEGUI_1_1IrrlichtTexture.html#aa49caa3f44cc7c36b7339f4167c676b7",
"classCEGUI_1_1ItemListbox.html#ac799eff23e26ea4bf882e9740e75ceb3",
"classCEGUI_1_1ListHeader.html#a01f4a86f5d1a0994ea369d76b9500e79",
"classCEGUI_1_1ListHeaderSegment.html#ac96d61297b7594e3b0edcab65eb3dfda",
"classCEGUI_1_1ListboxTextItem.html#a3a3e5e1defdb358a5c5202259cd2cff7",
"classCEGUI_1_1MenuItem.html#ae555410f634cf6eaa8ba026344d7341b",
"classCEGUI_1_1MultiColumnList.html#a5918ca67d276d336bcdfa85d989b07b5",
"classCEGUI_1_1MultiLineEditbox.html#a4f0355e9db7fa1885555ac709b99eaaf",
"classCEGUI_1_1NamedXMLResourceManager.html#a400c8d90805aa09063ac0a32666bc03d",
"classCEGUI_1_1OGLTextureTargetFactory.html#ad8f4add3d2d6320b2137a770bc7cf66b",
"classCEGUI_1_1OgreRenderer.html#af99391fb11749e77c44216134a97d29c",
"classCEGUI_1_1OpenGLApplePBTextureTarget.html",
"classCEGUI_1_1OpenGLGeometryBuffer.html#aab318383c2e251aec9d65b22bc37d592",
"classCEGUI_1_1OpenGLTexture.html",
"classCEGUI_1_1PopupMenu.html#a8dee343074e8d3005add8ee8a2d58252",
"classCEGUI_1_1PropertyHelper_3_01Colour_01_4.html#a03f2a364b401fc58792fbc1dd377ee06",
"classCEGUI_1_1PropertyHelper_3_01UBox_01_4.html#ab45b725db21a2b6018b24b08dda7576d",
"classCEGUI_1_1PropertyHelper_3_01std_1_1pair_3_01float_00_01float_01_4_01_4.html#a73de1640d50c26cba1dc49487ea283d1",
"classCEGUI_1_1RGB__Colour.html",
"classCEGUI_1_1RenderTarget.html#a317984991e56d58424db780ec0c2f91e",
"classCEGUI_1_1RenderedStringWordWrapper.html#a992235bfe041998b7a4d04e5ba148dce",
"classCEGUI_1_1Scheme.html#a5697828e2938d02f2f30004d0e99cf75",
"classCEGUI_1_1Scrollbar.html#a152f6a724e139e7f764e091709faa876",
"classCEGUI_1_1SectionSpecification.html#ae5ba63294fce5fc4b9fe83f95b92f29b",
"classCEGUI_1_1Spinner.html#ab493f45007febb1e46c38c82409f841f",
"classCEGUI_1_1String.html#a9b2c9bd49e4fd3d176f93171a3e94950",
"classCEGUI_1_1SubscriberSlot.html#a378d8c1d295df3b9cd42cd7921a7edfd",
"classCEGUI_1_1TabControl.html#a1535d033a95e7ca96e5404e7653c36fb",
"classCEGUI_1_1Texture.html#a76b2d285c2af474739bf2b608d857d0b",
"classCEGUI_1_1TplInterpolatorBase.html#abbdb831626f2b58c19a82bb88966fbd8",
"classCEGUI_1_1Tree.html#aee65f3ac3c64a7b09550dd9e0d4bc8d4",
"classCEGUI_1_1UnknownObjectException.html",
"classCEGUI_1_1WidgetLookFeel.html#a66c90cf37451f4809c29526edc4229e9",
"classCEGUI_1_1Window.html#a25e8fdca6e80b158f8fc9068ed6bbebb",
"classCEGUI_1_1Window.html#a8451525e26a1662d6ce6a6a00151c2d3",
"classCEGUI_1_1Window.html#aeefde4eaf369d4eeda6cb657a1bedc87",
"classCEGUI_1_1WindowRendererManager.html#a03ec82250e5b2b0e7dbe651fe59ed342",
"classCEGuiD3D10BaseApplication.html#a9e4d73a7ac191fa3630957193e69ae25",
"classFontDemo.html#af6db5c12582b797825a386f689699dc7",
"classSampleData.html#aca991ee26ec279955470a0a25e3d6a2d",
"classWin32AppHelper.html#ab7049f12e9e27a1dca50623bb3496a21",
"classboost_1_1python_1_1indexing_1_1multimap__algorithms.html#ae67bbc4c00afb98187c7806c3e4de37d",
"debian_2tmp_2usr_2include_2cegui-0_88_84_2CEGUI_2RendererModules_2OpenGL_2GLXPBTextureTarget_8h_source.html",
"fal_element_ref.html#fal_elem_ref_sec_11_3",
"fal_wr_ref.html#fal_wr_ref_sec_11",
"structActivationEventArgs__wrapper.html#a5d366e3520b4db972369cafb2da62082",
"structButtonBase__wrapper.html#adfd00c3e6098bcd6844be6c9ead9be9d",
"structCEGUI_1_1Key.html#ad1aef89c42b5c3cb297e8c5353c1ca5ba34df6eff5389ddddcba5b42fe1ad84b6",
"structCEGUI_1_1Key.html#ad1aef89c42b5c3cb297e8c5353c1ca5ba9b5569900ce95b7b42fb55db589aca3c",
"structCEGUI_1_1OgreGeometryBuffer_1_1OgreVertex.html#a7f647fe5993b0558c98b24aca47f25aa",
"structComboDropList__wrapper.html#a44ceddba976a85e470026e1ea320338b",
"structCombobox__wrapper.html#a49513514a3f43c008bd95476226a8b85",
"structConstBaseIterator__less____std__scope__multiset__less____CEGUI__scope__LayerSpecification_a992b204a6d237d152a75a8f177a6bce.html",
"structDefaultWindow__wrapper.html#a4991d9ec307f7a3c2ec548ba06d0f77a",
"structDragContainer__wrapper.html#a7050801e1dd322791e38cc3fd04ba5f6",
"structEditbox__wrapper.html#a5fe70e7aeae7067ed959f73c777da420",
"structEvent__wrapper.html#a5bc849990dffabd8384e55e5e829c825",
"structFrameWindow__wrapper.html#aadf75e7aa93c8f3a80ed73ad5d8fc6f7",
"structGridLayoutContainer__wrapper.html#a2724b02d5e12498a0506a15093f3a239",
"structGroupBox__wrapper.html#a2521b9641e168f2f5acab18a37d0c9f6",
"structHorizontalLayoutContainer__wrapper.html#a2d4d9ae1fb6e38233d5cb53eea2096bd",
"structImage__wrapper.html#ac38b51f5a10215d131a0670c241fb526",
"structItemEntry__wrapper.html#afd1eacddb7e5c4a910879fdb36e274c6",
"structItemListbox__wrapper.html#a01041ab8f956663d4bb19fb4f1a2e4c1",
"structItemListbox__wrapper.html#af4e08ff994fc49d855547b38d7ff25ad",
"structLayoutContainer__wrapper.html#afdb652d3e0900c0f92256fab42006592",
"structListHeaderSegment__wrapper.html#af033672f882dbcf9d803b992e6335c0e",
"structListHeader__wrapper.html#aefbc3b4275269548b3b863c380f81ef2",
"structListbox__wrapper.html#ac8d736a4d5bcb956c936401639eae2da",
"structMenuBase__wrapper.html#ad479b9c21356b5baa2eb57d3be750d53",
"structMenuItem__wrapper.html#adb414610b078a97fbe4ae7db134228de",
"structMenubar__wrapper.html#ad6fa8ef3ce493ad3d2cec4141754dcdd",
"structMultiColumnList__wrapper.html#ac2304d5720d296fae2866c5112f453e0",
"structMultiLineEditbox__wrapper.html#ab148baddc6fc933bac9e1e3c6928f676",
"structOgreResourceProvider__wrapper.html#a5fa48eef273495bd80831860b8cb4198",
"structPopupMenu__wrapper.html#a302e382fe55d25502f38344b3a7c4761",
"structProgressBar__wrapper.html#a2d1333d71bae958f7684479d66eb41dc",
"structPushButton__wrapper.html#a13d3e510897254452905c051ae1e2bf8",
"structRadioButton__wrapper.html#a360325d3e554431db0fe397234710eb7",
"structRenderedStringImageComponent__wrapper.html#a4265d5f4548385ec99a181bbf6e649b3",
"structScrollablePane__wrapper.html#a3d6f1c4f975550044cca142d15bc0e3b",
"structScrollbar__wrapper.html#a40eee4cd61a3e6b308ffda102757dc1b",
"structScrolledContainer__wrapper.html#a410bf104b0a751998e4b961006597e23",
"structScrolledItemListBase__wrapper.html#a504151862df112757c51305c8d8a9c82",
"structSequentialLayoutContainer__wrapper.html#a539a252cdffb165eec8170b747f2c3c2",
"structSlider__wrapper.html#a40e2d12ad5f29dd2a0fcd60381f97ead",
"structSpinner__wrapper.html#a55908b4c63e4206396f02b0fb3bf6cd1",
"structTabButton__wrapper.html#a401d72c174aeaf2a33f9d2e7f5569ac0",
"structTabControl__wrapper.html#a5a719864b6141846f66229de0b23499b",
"structThumb__wrapper.html#a2868303548efd2861a1a39078946d042",
"structTitlebar__wrapper.html#a3ef1e5e133942cc001c1b54895220d40",
"structToggleButton__wrapper.html#a4fbfa49523c3f47df434e2710959b823",
"structTooltip__wrapper.html#a5a565b7e0679f2d670b2437817d530c0",
"structTree__wrapper.html#a452b4effc881911b9ff308b64e3cf247",
"structVerticalLayoutContainer__wrapper.html#a23ac68f59a9714f28a73e80f71410068",
"structWindowManager__wrapper.html#ab6f889ceb00d893b480215d3a5c4be6f",
"structWindow__wrapper.html#af1810704adc17f77b3024265582cd159",
"structjpeg.html#a4e525a4b804fd232c71653239e9ff4fc"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';